=== tests/test/xcodeversion/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		xcodeversion
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for \$xcodeversion
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	if {$xcodeversion != "" && [rpm-vercomp $xcodeversion 2.1] >= 0} {
		ui_msg "xcodeversion >= 2.1"
	} else {
		ui_msg "xcodeversion = $xcodeversion"
	}
	ui_msg "xcodebuildcmd = $xcodebuildcmd"
}
